[svn] r7417 - trunk/rpms/xine-lib

packagers at lists.rpmforge.net packagers at lists.rpmforge.net
Fri Jul 10 18:59:01 CEST 2009


Author: dag
Date: 2009-07-10 17:59:01 +0100 (Fri, 10 Jul 2009)
New Revision: 7417

Modified:
   trunk/rpms/xine-lib/xine-lib.spec
Log:
Updates

Modified: trunk/rpms/xine-lib/xine-lib.spec
===================================================================
--- trunk/rpms/xine-lib/xine-lib.spec	2009-07-10 16:58:28 UTC (rev 7416)
+++ trunk/rpms/xine-lib/xine-lib.spec	2009-07-10 16:59:01 UTC (rev 7417)
@@ -5,17 +5,14 @@
 %{?dtag: %{expand: %%define %dtag 1}}
 %{?fedora: %{expand: %%define fc%{fedora} 1}}
 
-%{!?dtag:%define _with_modxorg 1}
-%{?el5: %define _with_modxorg 1}
-%{?fc6: %define _with_modxorg 1}
-%{?fc5: %define _with_modxorg 1}
-
 %{?el4:%define _with_speex104 1}
+%{?el4:%define _without_modxorg 1}
 
 %{?el3:%define _without_alsa 1}
 %{?el3:%define _without_freetype2_pc 1}
 %{?el3:%define _without_fribidi 1}
 %{?el3:%define _without_gettextdevel 1}
+%{?el3:%define _without_modxorg 1}
 %{?el3:%define _without_theora 1}
 %{?el3:%define _without_xvmc 1}
 
@@ -39,9 +36,9 @@
 BuildRequires: libpng-devel, libmng-devel, libjpeg-devel, freetype-devel
 BuildRequires: gtk2-devel
 BuildRequires: libcdio-devel, vcdimager-devel, a52dec-devel, libmad-devel
-%{?_with_modxorg:BuildRequires: libXt-devel, libXv-devel, libGL-devel, libGLU-devel, libXinerama-devel, libXvMC-devel}
-%{!?_with_modxorg:BuildRequires: XFree86-devel}
-%{!?_with_modxorg:%{!?_without_xvmc:BuildRequires: libXvMCW-devel}}
+%{!?_without_modxorg:BuildRequires: libXt-devel, libXv-devel, libGL-devel, libGLU-devel, libXinerama-devel, libXvMC-devel}
+%{?_without_modxorg:BuildRequires: XFree86-devel}
+%{?_without_modxorg:%{!?_without_xvmc:BuildRequires: libXvMCW-devel}}
 %{?_with_rte:BuildRequires: rte-devel}
 %{?_with_extdvdnav:BuildRequires: libdvdnav-devel >= 0.1.4}
 %{?_with_extffmpeg:BuildRequires: ffmpeg-devel}
@@ -96,8 +93,8 @@
 Summary: Development files for the xine library
 Group: Development/Libraries
 Requires: %{name} = %{version}, pkgconfig, zlib-devel
-%{?_with_modxorg:Requires: libXt-devel, libXv-devel, libGL-devel, libGLU-devel, libXinerama-devel, libXvMC-devel}
-%{!?_with_modxorg:Requires: XFree86-devel}
+%{!?_without_modxorg:Requires: libXt-devel, libXv-devel, libGL-devel, libGLU-devel, libXinerama-devel, libXvMC-devel}
+%{?_without_modxorg:Requires: XFree86-devel}
 Obsoletes: xine-libs-devel <= 1.0.0
 
 %description devel
@@ -133,8 +130,8 @@
     --with-fontconfig \
     --with-freetype \
     --with-pic \
-%{?_with_modxorg:--with-xv-path="%{_libdir}"} \
-%{!?_with_modxorg:--with-xv-path="%{_prefix}/X11R6/%{_lib}"}
+%{!?_without_modxorg:--with-xv-path="%{_libdir}"} \
+%{?_without_modxorg:--with-xv-path="%{_prefix}/X11R6/%{_lib}"}
 %{__make} %{?_smp_mflags}
 
 %install




More information about the commits mailing list